Subject: Re: Nakajima KI-49 Helen......pics 1
From: "Steve Bamford" <[email-masked]>
To: "Fernando" <[email-masked]>
Date: Fri, 11 Oct 2002 00:40:34 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Fernando 
  To: Steve Bamford 
  Sent: Friday, September 06, 2002 5:11 PM
  Subject: Nakajima KI-49 Helen......pics 1

  Hello Steve 
  I  just finished this one ,and i wanted to send it in for your gallery .....its an old Revell 1/72 model  from 1973
   I got this kit inside the box of another old vintage  Revell kit ( Yokosuka P1Y1 Ginga).
   I bought it used  at a model show in Ottawa.
  It came mixed up with the other in the box with no interactions and no decals....I assembled it ,just to get it out of the way of the other one ......and it sat at my work table for three years ,until this week when i decided to give it a GO! .....Of course it is not like the  newer Hasegawa....but its not so bad !..

  I send you pictures in several e-mail because if i load more than tow pics / e-mail , it jams and doesn't go out .

  Thanks and i hope that you like it enough to post it on you FANTASTIC web sight .
  Fern

  Fernando Torre
  P.O. Box 138
  93 St-Patrice Rd
  Sherrington, PQ
  Canada    J0L 2N0